
Redmine - Patch #2702

mail_handler_update: added ability to update some fields / Import custom fields values for issue

updates

2009-02-09 08:01 - Go MAEDA

Status: Closed Start date: 2009-02-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Description

This patch add ability to update these fields via e-mail.

start_date

due_date

done_ratio

estimated_hours

assigned_to

And make the feature to import custom fields work when updating a issue, not only when creating a issue.

Related issues:

Related to Redmine - Feature #2507: Email creation issues: assign-to parameter Closed 2009-01-14

Related to Redmine - Defect #6110: MailHandler should allow updating Issue Pr... Closed 2010-08-11

Related to Redmine - Feature #5594: Improve MailHandler's keyword handling Closed 2010-05-25

Related to Redmine - Feature #5595: Allow start date and due dates to be set ... Closed 2010-05-25

History

#1 - 2009-02-09 08:02 - Go MAEDA

relating issues: #2507, #2413

#2 - 2009-02-09 09:52 - Go MAEDA

- File mail_handler_update.diff added

Removed unused and buggy codes. Please don't use previously submitted patch.

#3 - 2009-06-03 23:25 - Stephanie Collett

+1 It would be nice to change the assigned user by email.

#4 - 2009-07-05 22:05 - micah anderson

Wouldn't these fields be more consistent if they were:

Start_Date

Due_Date

Done_Ration

Estimated_Hours

Assigned_To

instead of the lowercase versions that this patch provides?

The other keywords must be uppercase (such as Project, Status), so making these lowercase seems like it would lead to confusion.

Also, I assume the underscore is there because it would not otherwise be possible with a space?

#5 - 2011-03-24 10:37 - Toshi MARUYAMA

- Category set to Email notifications

#6 - 2011-11-28 00:25 - Mischa The Evil

- Category changed from Email notifications to Email receiving
https://www.redmine.org/issues/2507
https://www.redmine.org/issues/2413


#7 - 2012-10-08 07:50 - Sergey Sheavy

I have these patches. But it still does not work for me.

May be I should apply them somehow?

Thank you.

P.S. Sorry for off-topic.

#8 - 2016-12-26 04:40 - Go MAEDA

- Related to Defect #6110: MailHandler should allow updating Issue Priority and Custom fields added

#9 - 2016-12-26 04:41 - Go MAEDA

- Related to Feature #5594: Improve MailHandler's keyword handling added

#10 - 2016-12-26 04:41 - Go MAEDA

- Related to Feature #5595: Allow start date and due dates to be set via incoming email added

#11 - 2016-12-26 04:41 - Go MAEDA

- Status changed from New to Closed

Fixed in r4394, r3764, r3763.

Files

mail_handler_update.diff 9.04 KB 2009-02-09 Go MAEDA

mail_handler_update.diff 8.87 KB 2009-02-09 Go MAEDA
